# class Gio::MenuItem

### Public Instance Methods

[]=(name, value)
Alias for: set_attribute_value
set_attribute_value(name, value) click to toggle source

    # File lib/gio2/menu-item.rb, line 20
    def set_attribute_value(name, value)
      if !value.nil? and !value.is_a?(GLib::Variant)
        value = GLib::Variant.new(value)
      end
      set_attribute_value_raw(name, value)
    end

Also aliased as: set_attribute_value_raw, []=
set_attribute_value_raw(name, value)
Alias for: set_attribute_value